Samba & HP-UX 10.20

Samba & HP-UX 10.20

Post by Robert Hulm » Fri, 09 Jan 1998 04:00:00



I downloaded the binarys for Samba v1.9.17p3 from the ftp site
ftp://samba.anu.edu.au/pub/samba/Binary_Packages/
I installed the executables and tried to run them. I keep getting a
execute permission denied error. The permssions are set to 777, owner
root, group sys and I am logged in as root.
/usr/local/samba/bin/smbd: Execute permission denied.
When I check the old & new executables I get the following results.
# file smbd
smbd:           PA-RISC2.0 shared executable dynamically linked -not
stripped
# file smbd.old
smbd.old:       PA-RISC1.1 shared executable dynamically linked -not
stripped
#
I am wondering if the executable compiled is on a different chip. I only
downloaded this
version because I couldn't compile v1.9.18. Can anyone help?

Thanks Rob.

 
 
 

Samba & HP-UX 10.20

Post by Scott Marovi » Fri, 09 Jan 1998 04:00:00


Quote:>I downloaded the binarys for Samba v1.9.17p3 from the ftp site
>ftp://samba.anu.edu.au/pub/samba/Binary_Packages/
>I keep getting a execute permission denied error.
>When I check the old & new executables I get the following results.
>smbd: PA-RISC2.0 shared executable dynamically linked -not stripped
>smbd.old: PA-RISC1.1 shared executable dynamically linked -not stripped

I don't know who compiled and linked these, but I think I know what the
problem is:  They were probably built on a relatively new HP system that
uses a PA-8x00 chip (PA-RISC instructruction set architecture version 2.0).
By default, HP compilers create code for whatever type of machine you
happen to be compiling on.  In order to produce code that is portable across
most earlier models, one's "make(1)" file should also include the options:

    c89 +DA1.0 +DS1.1 ...

(See the on-line "man(1)" pages or the HP-UX "C Reference Manual" for more
information.)

Note:  In case anyone's thinking about converting "Samba" software to run in a
64-bit address space under recent HP-UX releases, please peruse the technical
papers on this subject that are distributed in the "/usr/share/doc" directory
under (e.g.) HP-UX 11.0.  There are lots of pro's and con's to 64-bit operation,
and it's not immediately clear to me whether "Samba" would benefit in all cases.
--
Scott Marovich                   Hewlett-Packard Laboratories M/S 1U15

HP-DESK: Scott_Marovich/1900/UX  Palo Alto CA 94303-0971 U.S.A.
HP TELNET 857-2998               Tel. (650)857-2998 / FAX (650)857-5548

 
 
 

Samba & HP-UX 10.20

Post by Jussi Torhon » Sun, 11 Jan 1998 04:00:00



Quote:

>I don't know who compiled and linked these, but I think I know what the
>problem is:  They were probably built on a relatively new HP system that
>uses a PA-8x00 chip (PA-RISC instructruction set architecture version 2.0).
>By default, HP compilers create code for whatever type of machine you
>happen to be compiling on.  In order to produce code that is portable across

The binaries might be from me :(

HP-UX 9.05 binaries are compiled with an 9000/735 and HP-UX 10.20 binaries with
an 9000/859 box. I don't know about the CPU's (howto check it btw ?).

If I compile Samba 1.9.18 with gcc for the both HP-UX releases, will the
problem still exist ?

Jussi

--
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

Verhiopolku 4 B 14 / Homepage:                 http://www.iki.fi/jt

FINLAND            / Tel:  +358-17-3616289, Mobile: +358-50-5946209
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

 
 
 

Samba & HP-UX 10.20

Post by Bernd Busk » Sun, 11 Jan 1998 04:00:00



> I downloaded the binarys for Samba v1.9.17p3 from the ftp site
> ftp://samba.anu.edu.au/pub/samba/Binary_Packages/
> I installed the executables and tried to run them. I keep getting a
> execute permission denied error. The permssions are set to 777, owner
> root, group sys and I am logged in as root.
> /usr/local/samba/bin/smbd: Execute permission denied.
> When I check the old & new executables I get the following results.
> # file smbd
> smbd:           PA-RISC2.0 shared executable dynamically linked -not
> stripped
> # file smbd.old
> smbd.old:       PA-RISC1.1 shared executable dynamically linked -not
> stripped
> #
> I am wondering if the executable compiled is on a different chip. I only
> downloaded this
> version because I couldn't compile v1.9.18. Can anyone help?

> Thanks Rob.

Hi Rob

I think...  its ( maybe ) compiled for 64BIT ?
I have 1.9.18 for HP-UX 10.20 ( compiled for ther old 32BIT )
Is there no other way for you let me know how do you want to get
the files from me ??

--

so long


 
 
 

Samba & HP-UX 10.20

Post by Jussi Torhone » Sun, 11 Jan 1998 04:00:00



> I think...  its ( maybe ) compiled for 64BIT ?
> I have 1.9.18 for HP-UX 10.20 ( compiled for ther old 32BIT )
> Is there no other way for you let me know how do you want to get
> the files from me ??

I just compiled Samba 1.9.18 with gcc for HP-UX 9.05 and HP-UX 10.20.
You find them from http://www.iki.fi/jt/files/samba.htm

I compiled the source with GNU tools and included all the files
in the archieve (source + objs + bins). Just check Makefile for
compile options.

If anyone has problems with these binaries, please let me know !

Jussi

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*


P.O.Box 1582     / X.400:   C=fi;ADMD=elisa;PRMD=tsnet;O=tietosavo;
FIN-70461 KUOPIO /                              S=torhonen; G=jussi
FINLAND          / Tel:       +358-17-193 231, Fax: +358-17-193 355
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

 
 
 

Samba & HP-UX 10.20

Post by Dan A. Merc » Sat, 24 Jan 1998 04:00:00



: > I think...  its ( maybe ) compiled for 64BIT ?
: > I have 1.9.18 for HP-UX 10.20 ( compiled for ther old 32BIT )
: > Is there no other way for you let me know how do you want to get
: > the files from me ??

: I just compiled Samba 1.9.18 with gcc for HP-UX 9.05 and HP-UX 10.20.
: You find them from http://www.iki.fi/jt/files/samba.htm

: I compiled the source with GNU tools and included all the files
: in the archieve (source + objs + bins). Just check Makefile for
: compile options.

: If anyone has problems with these binaries, please let me know !

: Jussi

: *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*


: P.O.Box 1582     / X.400:   C=fi;ADMD=elisa;PRMD=tsnet;O=tietosavo;
: FIN-70461 KUOPIO /                              S=torhonen; G=jussi
: FINLAND          / Tel:       +358-17-193 231, Fax: +358-17-193 355
: *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

For future reference,  the HP compile takes the +DA (define
architecture) option.  Add to your makefile:

CCOPTS = $(CCOPTS) +DAportable

this will produce PA1.1 code.

--
Dan Mercer

Opinions expressed herein are my own and may not represent those of my employer.

 
 
 

Samba & HP-UX 10.20

Post by Diaz Beckinsal » Tue, 27 Jan 1998 04:00:00




> >I don't know who compiled and linked these, but I think I know what the
> >problem is:  They were probably built on a relatively new HP system that
> >uses a PA-8x00 chip (PA-RISC instructruction set architecture version 2.0).
> >By default, HP compilers create code for whatever type of machine you
> >happen to be compiling on.  In order to produce code that is portable across

> The binaries might be from me :(

> HP-UX 9.05 binaries are compiled with an 9000/735 and HP-UX 10.20 binaries with
> an 9000/859 box. I don't know about the CPU's (howto check it btw ?).

> If I compile Samba 1.9.18 with gcc for the both HP-UX releases, will the
> problem still exist ?

> Jussi

> --
> *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

> Verhiopolku 4 B 14 / Homepage:                 http://www.iki.fi/jt

> FINLAND            / Tel:  +358-17-3616289, Mobile: +358-50-5946209
> *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

9000/859 is the K230 server - 859 KittyHawk DC3- >100MHz
If I am right, it runs on PA7200 CPU.
You should have no problem with that.

Regards,

--

  " Incline not my heart to any evil thing,
    to practise wicked works with men that work iniquity:
    and let me not eat of their dainties. "    - Psalm 141:3-4

 
 
 

Samba & HP-UX 10.20

Post by Eberhard Burka » Fri, 06 Feb 1998 04:00:00




> ->I'm looking for a DOS smb print server that will accept print
> ->requests from Windows95.  I really would like to have a freeware
> ->version.  I've tried smbpd4.zip but it doesn't handle W95.

Hi George,

what's about Windows and "wslpd"? It's a lpd-daemon for windows. So you can use your
PC for unixstyle- and Windows-printing.

Eberhard

 
 
 

1. samba & HP-UX 10.20

Now I installed samba on my machine, HP-UX 10.20. and I want to print
on hp laser printer connected to NT server.
On HP server, I can see my workgroup and printer.
Also I can see that smbprint transfer data from HP server to NT server.
But I cannot get any printed material.

Another question is for lp command and smbprint.
The HP laser printer connected to NT server is installed on HP server
as a remote networked printer.
Now I want to print using lp command like this through samba utility.

lp -dspcprt02 test.txt

How can I configure my HP machine?
How can I interface samba configuration file(smb.conf) and remote
printer?
What files should I modified? What files should I add?

2. G.721/G.726 ADPCM testing

3. Samba 2.0.3 & HP-UX 10.20 plaintext password doesn`t work

4. NE2000 Clone: Need jumper information

5. Samba 2.05 HP-UX 10.20 PDC-accounts are locked out

6. Windows ignoring registry setting

7. Samba on HP-UX 10.20 / NT hang and crash

8. C= posts its latest report (From AP news wire)

9. Samba Binaries for HP-UX 10.20

10. Problems with locks on HP-UX 10.20 with Samba 2.2.3a

11. Samba on HP-UX 10.20

12. SAMBA 1.9.18p3 binaries for HP-UX 10.20

13. Samba 2.2.0 HP-UX 10.20 "max clients already connected"